org.eclipse.cdt.core.index.provider

## Interface IPDOMDescriptor

    public interface IPDOMDescriptor

Describes a PDOM format file in the local file system.

Since:
  4.0

### Method Summary

All Methods Instance Methods Abstract Methods
`IIndexLocationConverter` `getIndexLocationConverter()` An index location converter suitable of translating the internal formatted path representations to index locations representing the current content location.
`org.eclipse.core.runtime.IPath` `getLocation()` The absolute location in a local file system of the PDOM format file to contribute to the logical index.

### Method Detail

#### getLocation

    org.eclipse.core.runtime.IPath getLocation()

The absolute location in a local file system of the PDOM format file to contribute to the logical index.

Returns:
  an absolute location of an existing file

#### getIndexLocationConverter

    IIndexLocationConverter getIndexLocationConverter()

An index location converter suitable of translating the internal formatted path representations to index locations representing the current content location.

Returns:
  an index location converter